﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using System.IO;
using System.Diagnostics;

namespace MergeMultipleAssemblies
{
    class Program
    {
        static void Main(string[] args)
        {
            string assemblyFolderPath = @"C:\Projects\UserControlToServerControl\UserControlToServerControlSolution\PrecompiledWeb\WebApps\bin";

            string outputFilePath = @"C:\MyControlLibrary.dll";
            string assemblyName = String.Empty;

            // get the assemblies from the assembly folder path 
            string[] assemblies = Directory.GetFiles(assemblyFolderPath, "*.dll");

            string arguments = String.Format("/t:library /out:{0} {1}", outputFilePath, String.Join(" ",assemblies));

            Console.WriteLine("Starting the ILMerge Process");
            System.Diagnostics.Process.Start("ILMerge.exe", arguments);
            Console.WriteLine("End of the ILMerge Process");             
        }        
     
    }
}
